# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Sonic Rush Template

game: Sonic Rush
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Sonic Rush:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  goal:
    # Sets the goal of your world.
    # 
    # - **Bosses once:** Defeat every main game boss at least once with either Sonic or Blaze. Sonic and Blaze as bosses
    #   of Zone 7 count as individual bosses.
    # - **Bosses both:** Defeat every main game boss with both Sonic and Blaze.
    # - **Extra zone:** Defeat the extra zone boss, requiring all chaos and sol emeralds.
    # - **100 percent:** Clear all acts and defeat all bosses (main game and extra zone) with both Sonic and Blaze.
    bosses_once: 50
    bosses_both: 0
    extra_zone: 0
    100_percent: 0

  screw_f_zone:
    # Toggle whether F-Zone (Sonic and Blaze) should be **excluded**
    # from goal conditions and having important items.
    'false': 0
    'true': 50

  amount_of_starting_zones:
    # Decides how many zones will be unlocked at the start of the game.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 8
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-8: 0 # random value between 1 and 8

  include_s_rank_checks:
    # Adds reaching S rank on acts and/or bosses (excluding F-Zone and Extra zone) as additional checks.
    none: 50
    only_acts: 0
    only_bosses: 0
    all: 0

  tails_and_cream_substory:
    # Sets how the presence of Tails and Cream as sidekicks is handled.
    # BE AWARE that this feature is not fully functional yet, only partially.
    # 
    # - **Always present:** Both will always be present. RECOMMENDED FOR NOW.
    # - **Appearing later:** Both will be turned into items that can be collected to make them appear.
    # - **Getting kidnapped:** Both will be present first, but a one-time trap item will make them disappear, you monster.
    # - **On vacation:** Both will never be present, as they will take a vacation at the Luxury Ball Resort... Wait, wrong franchise!
    always_present: 50
    appearing_later: 0
    getting_kidnapped: 0
    on_vacation: 0

  traps_percentage:
    # The probability of any filler item (in percent) being replaced by a trap.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100
    none: 50 # equivalent to 0
    rare: 0 # equivalent to 4
    occasionally: 0 # equivalent to 10
    maximum_suffering: 0 # equivalent to 100

  deathlink:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
